package com.hzya.frame.sys.flow.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 流程步骤信息(SysFlowStep)实体类
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:27
 */
public class SysFlowStepEntity extends BaseEntity {
 
  /**  步骤序号 */
   private Integer step;
   //流程id
   private String flowId;
  /**  步骤类型;1定时任务2数据库3应用 */
   private String stepType;
  /**  描述 */
   private String description;
  /**  操作动作（名称）;api名称/插件名称 */
   private String apiName;
  /**  操作动作类型;api/插件 */
   private String actionType;
  /**  应用id */
   private String appId;
  /**  操作动作id;api_id,根据操作动作类型来决定是查api还是插件 */
   private String apiId;
  /**  nifi返回的应用id;刘工接口返回的nifi应用id，不确定要不要 */
   private String nifiAppId;
  /**  nifi的apiId */
   private String nifiApiId;
  /**  nifi应用排序模式;先进先出/先进后出 */
   private String sortMode;
   //定时任务 corn表达式
   private String taskCorn;
   //账户对象
   private SysFlowStepAccountEntity account;
    public Integer getStep() {
        return step;
    }

    public void setStep(Integer step) {
        this.step = step;
    }

    public String getStepType() {
        return stepType;
    }

    public void setStepType(String stepType) {
        this.stepType = stepType;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getApiName() {
        return apiName;
    }

    public void setApiName(String apiName) {
        this.apiName = apiName;
    }

    public String getActionType() {
        return actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getApiId() {
        return apiId;
    }

    public void setApiId(String apiId) {
        this.apiId = apiId;
    }

    public String getNifiAppId() {
        return nifiAppId;
    }

    public void setNifiAppId(String nifiAppId) {
        this.nifiAppId = nifiAppId;
    }

    public String getNifiApiId() {
        return nifiApiId;
    }

    public void setNifiApiId(String nifiApiId) {
        this.nifiApiId = nifiApiId;
    }

    public String getSortMode() {
        return sortMode;
    }

    public void setSortMode(String sortMode) {
        this.sortMode = sortMode;
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }

    public SysFlowStepAccountEntity getAccount() {
        return account;
    }

    public void setAccount(SysFlowStepAccountEntity account) {
        this.account = account;
    }

    public String getTaskCorn() {
        return taskCorn;
    }

    public void setTaskCorn(String taskCorn) {
        this.taskCorn = taskCorn;
    }
}

